##
##  postgresql-trgm.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         postgresql-trgm
Summary:      PostgreSQL Extension: Trigram
URL:          http://www.postgresql.org/
Vendor:       PostgreSQL Group
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Database
License:      BSD
Version:      17.1
Release:      20241116

#   list of sources
Source0:      https://ftp.postgresql.org/pub/source/v%{version}/postgresql-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  postgresql >= %{version}
PreReq:       postgresql >= %{version}

%description
    This is a PostgreSQL extension providing the functions and operators
    for determining the similarity of alphanumeric text based on trigram
    matching, as well as index operator classes that support fast
    searching for similar strings.

%track
    prog postgresql-trgm = {
        version   = %{version}
        url       = http://www.postgresql.org/ftp/source/
        regex     = v(\d+\.\d+(?:\.\d+)?)
    }

%prep
    %setup -q -n postgresql-%{version}

%build
    cd contrib/pg_trgm
    %{l_make} %{l_mflags} \
        USE_PGXS=1 \
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags -O}" \
        CPPFLAGS="%{l_cppflags}" \
        LDFLAGS="%{l_ldflags}" \
        pg_trgm.so

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/lib/postgresql \
        $RPM_BUILD_ROOT%{l_prefix}/share/postgresql/extension
    %{l_shtool} install -c -m 644 \
        contrib/pg_trgm/pg_trgm.so \
        $RPM_BUILD_ROOT%{l_prefix}/lib/postgresql/
    %{l_shtool} install -c -m 644 \
        contrib/pg_trgm/pg_trgm.control \
        contrib/pg_trgm/pg_trgm-*.sql \
        $RPM_BUILD_ROOT%{l_prefix}/share/postgresql/extension/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

